Subject: Re: bug#14547: 24.3.1; line-break with pixel specification and word-wrap

From: Stephen Berman <[email-masked]>
Date: Mon, 31 Jan 2022 10:06:14 +0100

On Sun, 30 Jan 2022 22:43:14 +0100 Lars Ingebrigtsen <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>>>> If one executes the following in a graphical frame, the line will break:
>>>>
>>>> (insert (propertize
>>>>            "\n"
>>>>            'display `(space :align-to (- right))
>>>>            'face '(:underline t))
>>>>           "\n")
>>>>
>>>> (toggle-word-wrap 1)
>
> [...]
>
>> I think it's a manifestation of bug#2749, because I see no line break
>> with this recipe in Emacs built with my patch enabling
>> overflow-newline-into-fringe in visual-line-mode.
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> bug#2749 was fixed a few weeks later, so does that mean that the problem
> discussed here also was fixed?

I think so.

>                                 (I must admit I didn't understand what
> the reproducing code here is supposed to demonstrate.)

Based on the descriptions and discussion in bug#2749, I think the above
code used to display an empty line between the parts of the line
separated by the display property.  It doesn't now, presumably since the
fix for bug#2749, which allows the newline to be in the fringe.

Steve Berman